{
	"def_cfg":{
		"ble_mac1": "b8:3d:fb:ac:d2:26",	
		"ble_mac": "7C:B9:4C:DA:AF:5C",
		"ble_mac4": "7C:B9:4C:DA:61:7C",
		"ble_mac2": "E9:8B:FC:41:3F:CF",
		"ble_mac3": "DB:57:46:A6:14:22",
		"heart_beat_sel": 1,
		"input_interval": 3,
		"heart_beat_interval": 15,	
		"notif_char": "49535343-8841-43f4-a8d4-ecbe34729bb3",
		"write_char": "49535343-1e4d-4bd9-ba61-23c647249616",
		"ble_mtu": 0,
		"ble_send_wait": 3,
		"ble_pack_size": 2048,
		"head_send3": "",
		"head_recv3": "",
		"checknum_type3": "",
		"head_send": "YL<",
		"head_recv": "YL>",
		"checknum_type": "sum16",
		"checknum_type1": "crc16",
		"aes_cbc_enbable": false,
		"aes_cbc_key_send": "",
		"aes_cbc_key_recv": "",	
		"recv_detail_print": true,			
		"recv_soc_data_print": true,
		"recv_analysis_data_print": false 		
	},
	
	"cmd_list":	
	[
		{
			"type": "get",
			"data": [
				{"key":"version", "value":"?"}
			],
			"note":"get_soft_version"
		},
		{
			"type": "get",
			"data": [
				{"key":"heart_beat", "value":"?"}
			],
			"note":"heart_beat_sel"
		},


		{
			"type": "get",
			"data": [
				{"key":"heart_beat", "value":"?"},
				{"key":"time", "value":"?"},
				{"key":"version", "value":"?"},
				{"key":"hw_version", "value":"?"},
				{"key":"work_status", "value":"?"},
				{"key":"fire_status", "value":"?"},
				{"key":"fault_status", "value":"?"}
			],
			"note":"get_info"
		},

		{
			"type": "get",
			"data": [
				{"key":"serial_number", "value":"?"},
				{"key":"photo_address", "value":"?"},
				{"key":"install_address", "value":"?"},
				{"key":"baud_rate", "value":"?"}
			],
			"note":"get_info2"
		},
		

		{
			"type": "get",
			"data": [
				{"key":"net", "value":"?"},
				{"key":"event_num", "value":"?"},
				{"key":"warning_num", "value":"?"}
			],
			"note":"get_cfg"
		},

		{
			"type": "get",
			"data": [
				{"key":"scene_tm", "value":{"channel":0}},
				{"key":"scene_photosen", "value":{"channel":0}}
			],
			"note":"get_scene"
		},
	
		{
			"type": "get",
			"data": [
				{"key":"humidity", "value":"?"},
				{"key":"temperature", "value":"?"},
				{"key":"cur_pressure", "value":{"channel":0}},
				{"key":"cur_photosen", "value":{"channel":0}},
				{"key":"cur_voltage", "value":"?"}
			],
			"note":"get_sensor"
		},		

		
		{
			"type": "get",
			"data": [
				{"key":"sw_scene", "value":"?"},
				{"key":"sw_pressure", "value":"?"},
				{"key":"sw_enable", "value":{"channel":0}},
				{"key":"sw_sec", "value":{"channel":0}},
				{"key":"sw_warn", "value":{"channel":0}}
			],
			"note":"get_switch"
		},	

		{
			"type": "get",
			"data": [
				{"key":"warning_page", "value":""}
			],
			"note":"get_warning_page"
		},
		{
			"type": "get",
			"data": [
				{"key":"warning_data", "value":0}
			],
			"note":"get_warning_data"
		},	
	
		{
			"type": "get",
			"data": [
				{"key":"event_page", "value":""}
			],
			"note":"get_event_page"
		},
		{
			"type": "get",
			"data": [
				{"key":"event_data", "value":0}
			],
			"note":"get_event_data"
		},	



		{
			"type": "set",
			"data": [
				{"key":"extra_time", "value":180},
				{"key":"standing_time", "value":10},
				{"key":"interval_time", "value":600}
			],
			"note":"set_extra_time"
		},	

		
		{
			"type": "set",
			"data": [
				{
					"key":"scene_tm", 
					"value":{"channel":0, "val":[0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0]}
				},
				{
					"key":"scene_photosen", 
					"value":{"channel":0, "val":[9000,8000,7000,6000,5000,9500,8500,7500,6500,5500]}
				},				
				{
					"key":"pressure", 
					"value":{"channel":0, "val":50}
				}			
			],
			"note":"set_scene"
		},			
		
		{
			"type": "set",
			"data": [
				{"key":"sw_scene", "value":1},
				{"key":"sw_pressure", "value":1},
				{"key":"sw_enable", "value":{"channel":0, "val":1}},
				{"key":"sw_sec", "value":{"channel":0, "val":[1,1]}},
				{"key":"sw_warn", "value":{"channel":0, "val":[1,1]}}
			],
			"note":"set_switch"
		},	
	
		{
			"type": "set",
			"data": [
				{"key":"net", "value":{
					"wifi_ssid":"WIFI24",
					"wifi_pass":"12345678",
					"mqtt_host":"qq.com",
					"mqtt_port":1883,
					"mqtt_user":"user",
					"mqtt_pass":"123456"}},
				{"key":"event_num", "value":1000},
				{"key":"warning_num", "value":1000}
			],
			"note":"set_cfg"
		},	

		{
			"type": "set",
			"data": [
				{"key":"photo_address", "value":"12345678"},
				{"key":"install_address", "value":"深圳市龙岗区1"},
				{"key":"baud_rate", "value":115200}
			],
			"note":"set_info"
		},		


		{
			"type": "set",
			"data": [
				{"key":"time", "value":1727107200}
			],
			"note":"set_time"
		},	

		{
			"type": "set",
			"data": [
				{"key":"mute", "value":1}
			],
			"note":"set_mute"
		},	
	
		{
			"type": "set",
			"data": [
				{"key":"reset", "value":1}
			],
			"note":"set_reset"
		},	
		
	
		{
			"type": "set",
			"data": [
				{"key":"erase_bit", "value":7}
			],
			"note":"set_erase_bit"
		},	
		
		{
			"type": "set",
			"data": [
				{"key":"factory_reset", "value":1}
			],
			"note":"set_factory_reset"
		},	

		{
			"type": "set",
			"data": [
				{"key":"relay_trigger", "value":1}
			],
			"note":"set_relay_trigger"
		},	


		{
			"type": "set",
			"data": [
				{"key":"fwinfo", "value":"fire_detector19.bin.sum32"}
			],
			"note":"set_fwinfo"
		}	
	

	
	]
	}
	 